ghc-7.0.4: The GHC API

StaticFlags

# Documentation

staticFlags :: [String]Source

initStaticOpts :: IO ()Source

data WayName Source

Constructors

WayThreaded |
WayDebug |
WayProf |
WayEventLog |
WayPar |
WayGran |
WayNDP |
WayDyn |

Instances

Eq WayName |
Ord WayName |

data Way Source

Constructors

Way |

Fields

wayName :: WayName
wayTag :: String
wayRTSOnly :: Bool
wayDesc :: String
wayOpts :: [String]

v_Ways :: IORef [Way]Source

isRTSWay :: WayName -> Bool Source

mkBuildTag :: [Way] -> String Source

opt_PprUserLength :: Int Source

opt_SuppressUniques :: Bool Source

opt_SuppressCoercions :: Bool Source

opt_SuppressModulePrefixes :: Bool Source

opt_PprStyle_Debug :: Bool Source

opt_TraceLevel :: Int Source

opt_NoDebugOutput :: Bool Source

opt_SccProfilingOn :: Bool Source

opt_Hpc :: Bool Source

opt_DictsStrict :: Bool Source

opt_IrrefutableTuples :: Bool Source

opt_Parallel :: Bool Source

opt_DsMultiTyVar :: Bool Source

opt_NoStateHack :: Bool Source

opt_SimpleListLiterals :: Bool Source

opt_CprOff :: Bool Source

opt_SimplNoPreInlining :: Bool Source

opt_SimplExcessPrecision :: Bool Source

opt_MaxWorkerArgs :: Int Source

opt_UF_CreationThreshold :: Int Source

opt_UF_UseThreshold :: Int Source

opt_UF_FunAppDiscount :: Int Source

opt_UF_DictDiscount :: Int Source

opt_UF_KeenessFactor :: Float Source

opt_UF_DearOp :: Int Source

opt_Fuel :: Int Source

opt_PIC :: Bool Source

opt_Static :: Bool Source

opt_IgnoreDotGhci :: Bool Source

opt_ErrorSpans :: Bool Source

opt_GranMacros :: Bool Source

opt_HiVersion :: Integer Source

opt_HistorySize :: Int Source

opt_OmitBlackHoling :: Bool Source

opt_Unregisterised :: Bool Source

v_Ld_inputs :: IORef [String]Source

tablesNextToCode :: Bool Source

opt_StubDeadValues :: Bool Source

opt_Ticky :: Bool Source

addOpt :: String -> IO ()Source

removeOpt :: String -> IO ()Source

addWay :: WayName -> IO ()Source

getWayFlags :: IO [String]Source

v_opt_C_ready :: IORef Bool Source